Change webroot subfolder of environment
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/change-webroot-subfolder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"web_root_subfolder": "/release_v1",
"clear_all_cache": true,
"refresh_plugins_and_themes": true
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/change-webroot-subfolder"
payload = {
"web_root_subfolder": "/release_v1",
"clear_all_cache": True,
"refresh_plugins_and_themes": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
web_root_subfolder: '/release_v1',
clear_all_cache: true,
refresh_plugins_and_themes: true
})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/change-webroot-subfolder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "sites:change-webroot-subfolder-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment webroot subfolder change in progress",
"status": 202
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Site Environments
Change webroot subfolder of environment
POST
/
sites
/
environments
/
{env_id}
/
change-webroot-subfolder
Change webroot subfolder of environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Response
Environment webroot subfolder change action started. Check MyKinsta for status
Change PHP allocation settings for a premium staging environmentChange PHP allocation settings for a site's live and standard staging environments
⌘I